#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		2geom
#-----------------------------------------------------------------------------
Name		:	lib2geom
Version		:	1.3
Release		:	17.2.0.rel%{?dist}
Summary		:	Easy to use 2D geometry library in C++

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPL
URL		:	https://gitlab.com/inkscape/lib2geom

Source0		:	%{name}-%{version}.tar.gz
#-----------------------------------------------------------------------------
BuildRequires	: 	boost-devel
BuildRequires	: 	cairo-devel
BuildRequires	: 	double-conversion-devel
BuildRequires	: 	glib-devel
BuildRequires	: 	gsl-devel
BuildRequires	: 	gtest-devel
BuildRequires	: 	gtk3+
BuildRequires	: 	pkgconf
#-----------------------------------------------------------------------------
%description
2Geom is a C++ 2D geometry library geared towards robust processing of
computational geometry data associated with vector graphics.

#-----------------------------------------------------------------------------
%files
%defattr(-,root,root,-)
%doc README.md
%license COPYING-LGPL-2.1 COPYING-MPL-1.1
%{_libdir}/%{name}.so.%{version}.0

#=============================================================================
%package		devel
Summary		:	Development files for %{name}

#-----------------------------------------------------------------------------
Requires	:	%{name}		= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
The %{name}-devel package contains libraries and
header files for developing applications that
use %{name}.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/%{sname}-%{version}.0/%{sname}/*.h
%{_includedir}/%{sname}-%{version}.0/%{sname}/intervaltree/*.h
%{_includedir}/%{sname}-%{version}.0/%{sname}/numeric/*.h
%{_includedir}/%{sname}-%{version}.0/%{sname}/orphan-code/*.h
%{_includedir}/%{sname}-%{version}.0/%{sname}/symbolic/*.h
%{_libdir}/cmake/2Geom/2Geom*.cmake
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{sname}.pc


#=============================================================================
%prep
%setup -q 

#-----------------------------------------------------------------------------
#building application
%build

cmake							\
	-G Ninja					\
	-B _bld						\
	-D CMAKE_INSTALL_PREFIX=%{_prefix}		\
	-D CMAKE_BUILD_TYPE=Release			\
	-D 2GEOM_BUILD_SHARED=ON 			\
	-D CMAKE_SKIP_INSTALL_RPATH=ON 			\

ninja							\
	-C _bld

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}					\
        ninja						\
        -C _bld						\
        install

#-----------------------------------------------------------------------------
%changelog
